const ideasSl = document.querySelector(".ls-ideas .swiper");

if (ideasSl) {
  new Swiper(ideasSl, {
    loop: false,
    watchSlidesProgress: false,
    centeredSlides: false,
    slidesPerView: 1.2,
        spaceBetween: 16,
    navigation: {
      prevEl: '.swiper-button-prev',
      nextEl: '.swiper-button-next',
    },
    pagination: {
      el: ".swiper-pagination",
    },
    breakpoints: {
      768: {
        slidesPerView: 1.5,
        spaceBetween: 16,
        loop: false
      },
      1024: {
        slidesPerView: 1.5,
        spaceBetween: 32,
        loop: false
      },
      1280: {
        slidesPerView: 2,
        spaceBetween: 24,
        initialSlide: 2,
        centeredSlides: false,
        loop: true,
      },
    }
  });
}

const sliders = document.querySelectorAll(".sliders .swiper");
if (sliders) {
  sliders.forEach(el => {
    const count = el.dataset.count,
      countMob = el.dataset.countMob,
      str = el.dataset.loop === 'true';
    new Swiper(el, {
      speed: 800,
      slidesPerView: countMob,
      spaceBetween: 0,
      loop: str,
      allowTouchMove: true,
      breakpoints: {
        1280: {
          slidesPerView: count,
          spaceBetween: 0,
          allowTouchMove: false
        },
      }
    });
  });
}

const linksHash = document.querySelectorAll('a[href^="#"');

linksHash.forEach(item => {
  item.addEventListener('click', function (e) {
    const href = this.getAttribute('href').substring(1),
      scrollTarget = document.getElementById(href);
    if (scrollTarget) {
      e.preventDefault();
      document.body.classList.remove('lock');
      //document.querySelector('.mob-menu').classList.remove('active');
      const elementPosition = scrollTarget.getBoundingClientRect().top,
        offsetPosition = elementPosition;
      window.scrollBy({
        top: offsetPosition,
        behavior: 'smooth'
      });
    }
  });
});


let getSiblings = function (e) {
  let siblings = [];
  if (!e.parentNode) {
    return siblings;
  }
  let sibling = e.parentNode.firstChild;
  while (sibling) {
    if (sibling.nodeType === 1 && sibling !== e) {
      siblings.push(sibling);
    }
    sibling = sibling.nextSibling;
  }
  return siblings;
};
const accordions = document.querySelectorAll(".ls-accordion");
accordions.forEach((accordion) => {
  const accordionTitle = accordion.querySelectorAll('.ls-accordion__title');
  accordionTitle.forEach(item => {
    if (item) {
      item.addEventListener("click", function (e) {
        e.preventDefault();
        this.parentNode.classList.toggle('active');
        const accordionBody = this.nextElementSibling;
        if (accordionBody.style.maxHeight) {
          accordionBody.style.maxHeight = null;
        } else {
          accordionBody.style.maxHeight = accordionBody.scrollHeight + "px";
          const allItems = getSiblings(item.parentNode);
          allItems.map(e => {
            if (e.querySelector('.ls-accordion__wrap')) {
              e.classList.remove('active');
              e.querySelector('.ls-accordion__title').classList.remove('active');
              e.querySelector('.ls-accordion__wrap').style.maxHeight = null;
            }
          });
        }
      });
    }
  });
});

const inputs = document.querySelectorAll('.wpsc-create-ticket input');
function getInputValue() {
  inputs.forEach(input => {
    if (input.value.trim() !== '') {
      input.closest('.wpsc-tff').classList.add('active');
    }
    else {
      input.closest('.wpsc-tff').classList.remove('active');
    }
  });
}
getInputValue();

inputs.forEach(el => {
  el.addEventListener('input', getInputValue);
});


const textareas = document.querySelectorAll('.wpsc_textarea');
function getTextareaValue() {
  textareas.forEach(el => {
    if (el.value.trim() !== '') {
      el.closest('.description').classList.add('active');
    } else {
      el.closest('.description').classList.remove('active');
    }
  });
}
getTextareaValue();

textareas.forEach(el => {
  el.addEventListener('input', getTextareaValue);
});